Skip to main content
GET
/
api2
/
v1
/
projects
List projects
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/projects \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/projects"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "userRole": "<string>",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateDue": "2023-11-07T05:31:56Z",
      "domain": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "id": "<string>",
      "internalId": 123,
      "mtSettingsPerLanguageList": [
        {
          "targetLang": "<string>",
          "machineTranslateSettings": {
            "id": "<string>",
            "name": "<string>",
            "type": "<string>",
            "uid": "<string>"
          }
        }
      ],
      "name": "<string>",
      "owner": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "references": [
        {
          "createdBy": {
            "email": "<string>",
            "firstName": "<string>",
            "id": "<string>",
            "lastName": "<string>",
            "uid": "<string>",
            "userName": "<string>"
          },
          "dateCreated": "2023-11-07T05:31:56Z",
          "filename": "<string>",
          "id": "<string>",
          "note": "<string>",
          "uid": "<string>"
        }
      ],
      "sourceLang": "<string>",
      "subDomain": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "targetLangs": [
        "<string>"
      ],
      "uid": "<string>"
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string
clientId
integer<int64>
clientName
string
businessUnitId
integer<int64>
businessUnitName
string
statuses
enum<string>[]
Available options:
NEW,
ASSIGNED,
COMPLETED,
ACCEPTED_BY_VENDOR,
DECLINED_BY_VENDOR,
COMPLETED_BY_VENDOR,
CANCELLED
targetLangs
string[]
domainId
integer<int64>
domainName
string
subDomainId
integer<int64>
subDomainName
string
costCenterId
integer<int64>
costCenterName
string
dueInHours
integer<int32>

-1 for projects that are overdue

Required range: x >= -1
createdInLastHours
integer<int32>
Required range: x >= 0
sourceLangs
string[]
ownerId
integer<int64>
jobStatuses
enum<string>[]

Allowed for linguists only

Available options:
NEW,
ACCEPTED,
DECLINED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
jobStatusGroup
enum<string>

Allowed for linguists only

Available options:
NEW,
ACCEPTED,
COMPLETED
buyerId
integer<int64>
pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 50, default 50

Required range: 1 <= x <= 50
nameOrInternalId
string

Name or internal ID of project

includeArchived
boolean
default:false

List also archived projects

archivedOnly
boolean
default:false

List only archived projects, regardless of includeArchived

sort
enum<string>
default:ID
Available options:
ID,
INTERNAL_ID,
NAME,
DATE_CREATED,
DATE_ARCHIVED
order
enum<string>
default:ASC
Available options:
ASC,
DESC

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>